Subject: Venison Stew
From: [email-masked] (Sam Waring)
Date: Sun, 2 Mar 1997 18:16:23 GMT
Newsgroups: rec.food.recipes

In article <[email-masked]>, Stephan and Judy Cheney said this
about that:

> I'm looking for a good recipe for Venison Stew.  Something I can adapt for
> the 'ol crock pot.
> A friend of mine gave me some frozen steaks and would rather cut these up
> and make a stew out of the meat.
> Can someone help me?  I've never attempted venison before and know that it
> can be ruined if not properly prepared.

MMMMM----- Recipe via Meal-Master (tm) v8.04

      Title: VENISON STEW
 Categories: Game, Stews
      Yield: 1 Batch

      2 lb Venison, boneless; cut
           -into 1" pieces
      4 c  ;Water, hot
      1 ts Lemon juice
      1 ts Worcestershire sauce
      1    Garlic clove; minced
      2 md Onion; sliced
           Salt; to taste
      1 ts Sugar
      6    Carrot; quartered
      8 sm Onion, whole; peeled
      3    Potatoes, peeled & cut
           -into 1/2" cubes
    1/4 lb Margarine

  Brown meat thoroughly in margarine in large heavy kettle. Add all
  ingredients, except carrots, whole onions and potatoes. Simmer for two
  hours, adding water if necessary. Add carrots, whole onions and
  potatoes and cook about 30 minutes.

  Liquid may be thickened with flour if desired.

                                   From The Budget  December 4th 1991

MMMMM
--
Rec.food.recipes is moderated; only recipes and recipe requests are
accepted for posting. Please read the "Posting Guidelines" article which is
now available on line: http://www.duke.edu/~tfdpress/rfrpost.html.
Recipes/articles go to [email-masked]; requests go to [email-masked];
questions/comments go to [email-masked]. Please allow several days
for your submission to appear.